%global with_debug 0
%global with_check 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global provider github
%global provider_tld com
%global project containers
%global repo conmon
# https://github.com/containers/conmon
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit0 13244db638cf987c415298a3c23393ae5abeb885
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global git0 https://%{import_path}

# Used for comparing with latest upstream tag
# to decide whether to autobuild (non-rawhide only)
%define built_tag v2.0.20
%define built_tag_strip %(b=%{built_tag}; echo ${b:1})

Name: %{repo}
Version: 2.0.20
Release: %mkrel 1
Summary: OCI container runtime monitor
License: ASL 2.0
Group: System/Configuration
URL: https://github.com/containers/%{name}
Source0: %{url}/archive/%{built_tag}.tar.gz
# Use below line to build a random commit
#Source0: %%{git0}/archive/%%{commit0}/%%{name}-%%{shortcommit0}.tar.gz
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel

%description
%{summary}.

%prep
%autosetup -Sgit -n %{name}-%{built_tag_strip}

%build
%{__make} all

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install install.crio

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/crio/%{name}


%changelog
* Fri Aug 07 2020 joequant <joequant> 2.0.20-1.mga8
+ Revision: 1611669
- update 2.0.20

* Sun Apr 05 2020 joequant <joequant> 2.0.15-1.mga8
+ Revision: 1564677
- imported package conmon

